import { defineStore } from 'pinia';
import { ref } from 'vue';

export const useEmergencyStore = defineStore('emergency',() => {
  const currentDeptCode = ref('')
  const currentDeptName = ref('')
  const conditionalQueryAttributes = ref('')
  const childQueryAttributes = ref('')

  function clearMainDeptInfo() {
    currentDeptCode.value = ''
    currentDeptName.value = ''
    conditionalQueryAttributes.value = ''
  }

  function clearChildQueryInfo() {
    childQueryAttributes.value = ''
  }

  return {
    currentDeptCode,
    currentDeptName,
    conditionalQueryAttributes,
    clearMainDeptInfo,
    childQueryAttributes,
    clearChildQueryInfo
  }


})
